Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.machinereassignment.persistence
Class MachineReassignmentImporter

    java.lang.Object
      org.optaplanner.examples.common.app.LoggingMain
          org.optaplanner.examples.common.persistence.AbstractSolutionImporter
              org.optaplanner.examples.common.persistence.AbstractTxtSolutionImporter
                  org.optaplanner.examples.machinereassignment.persistence.MachineReassignmentImporter

    public class MachineReassignmentImporter

extends AbstractTxtSolutionImporter

Nested Class Summary
`class` | `MachineReassignmentImporter.MachineReassignmentInputBuilder`

Nested classes/interfaces inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionImporter
`AbstractTxtSolutionImporter.TxtInputBuilder`

Nested classes/interfaces inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionImporter
`AbstractSolutionImporter.InputBuilder`

Field Summary

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionImporter
`DEFAULT_OUTPUT_FILE_SUFFIX, inputDir, outputDir, solutionDao`

Fields inherited from class org.optaplanner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`MachineReassignmentImporter()`

Method Summary
`boolean` | `acceptInputFile(File inputFile)`
`boolean` | `acceptInputFileDuringBulkConvert(File inputFile)` Some files are too big to be serialized to XML or take too long.
`AbstractTxtSolutionImporter.TxtInputBuilder` | `createTxtInputBuilder()`
`String` | `getInputFileSuffix()`
`static void` | `main(String[] args)`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionImporter
`readSolution, readSolution`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionImporter
`convert, convert, convertAll, getFlooredPossibleSolutionSize, getInputDir, getOutputDir, getOutputFileSuffix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MachineReassignmentImporter

    public MachineReassignmentImporter()

Method Detail

### main

    public static void main(String[] args)

### acceptInputFile

    public boolean acceptInputFile(File inputFile)

  Overrides:
    `acceptInputFile` in class `AbstractSolutionImporter`

### acceptInputFileDuringBulkConvert

    public boolean acceptInputFileDuringBulkConvert(File inputFile)

  Description copied from class: `AbstractSolutionImporter`
  Some files are too big to be serialized to XML or take too long.

  Overrides:
    `acceptInputFileDuringBulkConvert` in class `AbstractSolutionImporter`
  Parameters:
    `inputFile` - never null
  Returns:
    true if accepted

### getInputFileSuffix

    public String getInputFileSuffix()

  Overrides:
    `getInputFileSuffix` in class `AbstractTxtSolutionImporter`

### createTxtInputBuilder

    public AbstractTxtSolutionImporter.TxtInputBuilder createTxtInputBuilder()

  Specified by:
    `createTxtInputBuilder` in class `AbstractTxtSolutionImporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.